/*****************************************************************************
 *      Author   :      Yu-Yu Chou
 *
 *      Date     :      January 17, 1997
 *
 *      File     :      imgformat.h
 *
 *      Descrip. :      Definition of image file data format
 *
 *      Version  :      1.0
 *
 *      System   :      Linux
 *
 *      Update Information:
 *
 *      < Please Enter the kind of update You made >
 *
 ****************************************************************************/

#ifndef _IMGFORMAT_H

#define _IMGFORMAT_H

#define PBM_ASCII	"P1"
#define PGM_ASCII	"P2"
#define PPM_ASCII	"P3"
#define PBM_RAW		"P4"
#define PGM_RAW		"P5"
#define PPM_RAW		"P6"

/* Data type of PGM image format */
typedef struct PGMImageType
  {
  char		MagicValue[3] ;
  int		ImageWidth ;
  int		ImageHeight ;
  int		MaxGray ;
  unsigned char	**data ;
  } PGMImage ;

/* Data type of PPM image format */
typedef struct PPMImageType
  {
  char		MagicValue[3] ;
  int		ImageWidth ;
  int		ImageHeight ;
  int		MaxColor ;
  unsigned char	**red ;
  unsigned char	**green ;
  unsigned char	**blue ;
  } PPMImage ;

#endif
